%define module_name GD
Name: perl-%{module_name}1
version: 1.41
Release: alt3

Summary: GD (module for perl)
License: GPL or Artistic
Group: Development/Perl
Url: http://stein.cshl.org/WWW/software/GD/
Source: http://www.perl.com/CPAN/modules/by-module/GD/%module_name-%version.tar.gz
Obsoletes: perl-GD
Conflicts: perl-GD2
Requires: libgd1

AutoReqProv: yes, perl


# Automatically added by buildreq on Tue Nov 12 2002
BuildRequires: XFree86-devel freetype2-devel libgd1-devel libjpeg-devel libpng-devel perl-devel xpm-devel zlib-devel

%description
This is a Perl interface to Gd Graphics Library.

%prep
%setup -q -n %module_name-%version
find -type f -print0 |
    xargs -r0 %__grep -FZl /usr/local |
    xargs -r0 %__subst 's,/usr/local,/usr,g'

perl -pi -e 's@my.*?\$JPEG.*@my \$JPEG = 1;@' Makefile.PL
perl -pi -e 's@my.*?\$TTF.*@my \$TTF = 1;@' Makefile.PL
perl -pi -e 's@my.*?\$XPM.*@my \$XPM = 1;@' Makefile.PL
perl -pi -e 's@my.*?\$GIF.*@my \$GIF = 0;@' Makefile.PL

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%perl_vendor_archlib/%module_name.pm
%perl_vendor_archlib/qd.pl
%perl_vendor_autolib/%module_name
%perl_vendor_man3dir/*

%doc ChangeLog README* demos

%changelog
* Wed Nov 6 2002 DH <dh@dh.net.ru> 1.41-alt3
- Separated GD1 & GD2.

* Tue Nov 05 2002 Dmitry V. Levin <ldv@altlinux.org> 1.41-alt2
- Rebuilt with perl-5.8.

* Mon Jul 22 2002 DH <dh@dh.net.ru> 1.41-alt1
- New version (1.41).

* Wed Jan 09 2002 DH <dh@dh.net.ru> 1.38-alt1
- New version (1.38).

* Mon Dec 24 2001 DH <dh@dh.net.ru> 1.37-alt1
- New version (1.37).

* Fri Dec 21 2001 DH <dh@dh.net.ru> 1.36-alt1
- New version (1.36).

* Sat Dec 8 2001 DH <dh@dh.net.ru> 1.35-alt1
- New version (1.35).

* Tue Oct 30 2001 Stanislav Ievlev <inger@altlinux.ru> 1.33-alt2
- ALT-ification of spec.

* Mon Oct 29 2001 DH <dh@dh.net.ru>
- First release.
